cryptonite-0.9: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.AES

Description

Synopsis

- data AES128
- data AES192
- data AES256

# Documentation

data AES128

AES with 128 bit key

Instances

NFData AES128 |
Cipher AES128 |
BlockCipher128 AES128 |
BlockCipher AES128 |

data AES192

AES with 192 bit key

Instances

NFData AES192 |
Cipher AES192 |
BlockCipher128 AES192 |
BlockCipher AES192 |

data AES256

AES with 256 bit key

Instances

NFData AES256 |
Cipher AES256 |
BlockCipher128 AES256 |
BlockCipher AES256 |